--- title: "Plan" slug: "partner-api-global-plan" updated: 2022-07-04T09:39:27Z published: 2022-07-04T09:39:27Z canonical: "developer.comm100.com/partner-api-global-plan" --- > ## Documentation Index > Fetch the complete documentation index at: https://developer.comm100.com/llms.txt > Use this file to discover all available pages before exploring further. # Plan - `Plan` - Plans Manage - `GET global/plans` - [Get the list of Plans](/docs/partner-api-global-plan#get-the-list-of-plans) ## Plan JSON Format Plan is represented as simple flat JSON objects with the following keys: | Name | Type | Description | | --- | --- | --- | | `id` | int | ID of Plan. | | `name` | string | Name of Plan. | | `isEnabled` | bool | Whether Plan is enabled or not. | | `isServicePlan` | bool | Whether Plan is a service Plan or not. | | `description` | string | Description of Plan. | | `groupName` | string | The group name of plans. | | `icon` | string | The url of plan's icon. | | `isVisibleToCustomer` | bool | Whether this plan is visible to customer or not. | | `freeTrialDays` | int | The count of free trial days. | | `createdByPartnerUserId` | guid | The guid of user who created this plan. | | `createdTime` | datetime | The created time of this plan. | | `lastUpdatedByPartnerUserId` | guid | The guid of user who last updated this plan. | | `lastUpdatedTime` | datetime | The last updated time of this plan. | | `planPricingModels` | array | The Pricing Models of this plan. | | `planProductRelations` | array | The relationship between product and plan. | | `planFeatureLimitationConfig` | array | The feature limitation config of this plan. | ## Get the list of Plans `GET global/plans` - #### Parameters: No Paramters - #### Response: An array of [Plan](/docs/partner-api-global-plan#plan-json-format) - #### Example Sample Request: ``` curl https://partnerapi.comm100.io/v4/global/plans \ -X 'GET' \ -H 'Authorization: Bearer {access_token}' \ ``` Response: HTTP/1.1 200 OK ``` [ { "id": 198, "name": "Comm100 Free", "groupName": "Free", "description": "
Comm100 Omnichannel Business Edition
", "featureComparisonDescription": "Comm100 Omnichannel Business Edition
", "isEnabled": true, "isBestseller": false, "icon": "https://partner.comm100.io/api/Global/plans/198/icon?PartnerId=10000&version=6a6722625dc183096fd28f87cb27aa4b&signature=sRTLiM7bHh43x31DJUlRnd2GzHs", "registerCode": "841791C5", "isServicePlan": false, "isVisibleToCustomer": false, "isPricingHiddenToCustomer": false, "customPriceName": "Custom Pricing", "canBeAddedByCustomer": false, "canBeCancelledByCustomer": true, "freeTrialDays": 0, "createdByPartnerUserId": "00000000-0000-0000-0000-000000000000", "createdTime": "2021-10-26T09:02:31.8Z", "lastUpdatedByPartnerUserId": "00000000-0000-0000-0000-000000000000", "lastUpdatedTime": "2021-12-10T11:04:10.3966667Z", "planPricingModels": [], "planProductRelations": [], "planFeatureLimitationConfig": { "planId": 198, "monthsOfHistoryCanBeAccessed": 0, "monthsOfHistoryCanBeAccessedBeyondFreemium": 0, "monthsOfHistoryBeingStored": 0, "monthsOfHistoryBeingStoredBeyondFreemium": 0 } } ] ```